Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.jsword.book.sword.Msg

    final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `BAD_KEY`
`(package private) static Msg` | `COMPRESSION_UNSUPPORTED`
`(package private) static Msg` | `DELETE_FAILED`
`(package private) static Msg` | `DRIVER_READONLY`
`(package private) static Msg` | `FILTER_FAIL`
`(package private) static Msg` | `GZIP_FORMAT`
`(package private) static Msg` | `MISSING_BACKEND`
`(package private) static Msg` | `MISSING_FILE`
`(package private) static Msg` | `NO_KEY`
`(package private) static Msg` | `READ_FAIL`
`(package private) static Msg` | `TYPE_UNKNOWN`
`(package private) static Msg` | `TYPE_UNSUPPORTED`
`(package private) static Msg` | `UNDEFINED_BOOK_TYPE`
`(package private) static Msg` | `UNDEFINED_DATATYPE`
`(package private) static Msg` | `UNLOCK_FAILED`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_KEY

    static final Msg NO_KEY

### BAD_KEY

    static final Msg BAD_KEY

### GZIP_FORMAT

    static final Msg GZIP_FORMAT

### FILTER_FAIL

    static final Msg FILTER_FAIL

### MISSING_FILE

    static final Msg MISSING_FILE

### READ_FAIL

    static final Msg READ_FAIL

### COMPRESSION_UNSUPPORTED

    static final Msg COMPRESSION_UNSUPPORTED

### TYPE_UNSUPPORTED

    static final Msg TYPE_UNSUPPORTED

### DELETE_FAILED

    static final Msg DELETE_FAILED

### TYPE_UNKNOWN

    static final Msg TYPE_UNKNOWN

### MISSING_BACKEND

    static final Msg MISSING_BACKEND

### DRIVER_READONLY

    static final Msg DRIVER_READONLY

### UNDEFINED_BOOK_TYPE

    static final Msg UNDEFINED_BOOK_TYPE

### UNDEFINED_DATATYPE

    static final Msg UNDEFINED_DATATYPE

### UNLOCK_FAILED

    static final Msg UNLOCK_FAILED

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD